org.freeplane.api

## Enum NodeShape

- java.lang.Object
- - java.lang.Enum<NodeShape>
  - - org.freeplane.api.NodeShape

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NodeShape>

      public enum NodeShape
      extends java.lang.Enum<NodeShape>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AS_PARENT`
    `BUBBLE`
    `COMBINED`
    `FORK`
    `NARROW_HEXAGON`
    `OVAL`
    `RECTANGLE`
    `WIDE_HEXAGON`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeShape` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NodeShape[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORK

          public static final NodeShape FORK

    - #### BUBBLE

          public static final NodeShape BUBBLE

    - #### OVAL

          public static final NodeShape OVAL

    - #### RECTANGLE

          public static final NodeShape RECTANGLE

    - #### WIDE_HEXAGON

          public static final NodeShape WIDE_HEXAGON

    - #### NARROW_HEXAGON

          public static final NodeShape NARROW_HEXAGON

    - #### AS_PARENT

          public static final NodeShape AS_PARENT

    - #### COMBINED

          public static final NodeShape COMBINED

  - ### Method Detail

    - #### values

          public static NodeShape[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeShape c : NodeShape.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeShape valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null